Intra Bank Wallet to Wallet Transfer API

The Interface componentsends a request using this API to transfer fundsfrom one wallet to another, of the same bank. This API is applicable only for prepaid product issued on Pine Labs platform. NOTE: The API, if sent with Card Number Alias (CNA), will fetch the corresponding associated device for further processing only if DEVICE _STATUS_CODE = NORMAL (0) OR (DEVICE_STATUS_CODE = UPGRADE (9) AND UPGRADE_STATUS = 1).
The system performsthe following checksfor intra-bankwallet to wallet transfer transaction processing.
• When the Restrict Intra Bank W2W Transfer TXN check box is selected at the institution level, the system processes the request if the sender program code and receiver program code belong to the same plan code with active status on the Intra Bank Wallet to Wallet Transfer Plan screen.
• When the Restrict Intra Bank W2W Transfer TXN check box is notselected at the institution level, there is no program restrictions for intra bank wallet to wallet transfer.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
400102Suspected fraud.
400119Transaction not permitted.
400997Wallet Number field is mandatory.
400997Wallet Number field value must have max length 24.
400997Destination Wallet Number field is mandatory.
400997Destination Wallet Number field value must have max length 24.
400997Transaction Amount field is mandatory.
400997Transaction Amount field must be a positive value with maximum 12 integers and 7 fractions.
400997Device Number field is mandatory.
400997Device Number field value must have min length 10.
400997Device Number field value must have max length 24.
400997Destination Device Number field is mandatory.
400997Destination Device Number field value must have min length 10.
400997Destination Device Number field value must have max length 24.
400997Remarks field value must have max length 100.
400997Trace Audit Number field is mandatory.
400997Trace Audit Number field value must have max length 100.
400997Origin field is mandatory.
400997Origin field is invalid.
400997Device Plan Code field should only contain A-Z, 0-9 and underscore and must start and end with alphanumeric character.
400997Device Plan Code field value must have maximum length 10.
400997Program Code field value must have maximum length 10.
500VALPAS002Not valid Acquirer id.
500VALPAS003Acquirer is not active.
500VALPAS004Incorrect Password.
500VALPAS005Error while validating password.
500INVCHA002'Channel Error -'.
500INVCHA001Invalid channel -.
500FNDTRN001Invalid transaction code.
500FNDTRN003Invalid Agent User id.
500FNDTRN004Agent User is not Active.
500FNDTRN005Error while fetching agency details for user id.
500FNDTRN006Error while fetching agency details for Device.
500FNDTRN007Agency of device is closed agency, Transaction not permitted.
500FNDTRN008Agency is closed agency, Transaction not permitted.
500FNDTRN009Invalid source wallet.
500FNDTRN010Invalid beneficiary wallet.
500FNDTRN011Invalid source wallet/device.
500FNDTRN012Invalid source wallet/device.
500FNDTRN013Error in populating Product details.
500FNDTRN014Insufficient balance.
500FNDTRN015Invalid institution.
500FNDTRN017Error while validating wallet plan.
500106Error in transaction amount conversion.
500139Conversion rate is not defined.
500FNDTRN021Balance is less than minimum balance configured.
500FNDTRN022Invalid source device.
500FNDTRN023Error in populating Product details.
500FNDTRN050Invalid source currency.
500FNDTRN051Invalid source currency.
500FNDTRN052Invalid beneficiary currency.
500FNDTRN053Invalid beneficiary currency.
500FNDTRN054Error in business date.
500FNDTRN055Internal error.
500FNDTRN024Error while generating main debit transaction.
500FNDTRN025Error while generating main debit transaction.
500FNDTRN027Error while generating debit fee transaction.
500FNDTRN029Error while generating debit service fee transaction.
500FNDTRN028Error while generating debit service fee transaction.
500FNDTRN030Error while generating markup fee transaction.
500FNDTRN031Error while generating markup fee transaction.
500FNDTRN032Error while generating markup service tax transaction.
500FNDTRN033Error while generating markup service tax transaction.
500FNDTRN034Error while generating main credit transaction.
500FNDTRN035Error while generating main credit transaction.
500FNDTRN037Error while generating credit fee transaction.
500FNDTRN038Error while generating fee service tax transaction.
500FNDTRN039Error while generating fee service tax transaction.
500FNDTRN040Error while updating transaction hist table.
500FNDTRN041Error in transaction generation.
500FNDTRN042Error in fetching default wallet for beneficiary device.
500FNDTRN043Error updating source wallet balance.
500FNDTRN044Error updating target wallet balance.
500FNDTRN045Error while activating beneficiary wallet.
500FNDTRN046Error in updating initiating wallet limit.
500FNDTRN047Error in updating beneficiary wallet limit.
500FNDTRN048Invalid source client.
500FNDTRN049Transaction processed successfully.
500FNDTRN002Fund transfer failed due to internal error. Please contact system admin.
400FNDTRN100Intra bank wallet to wallet transfer is not allowed/restricted.
400FNDTRN025Trace Audit Number and Reference Number Should Be Unique.
400997RRN field value must have size 12.
400997Trace Audit Number field is mandatory.
400997Trace Audit Number field value must have maximum length 6.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

The channel through which the request is received. No validation on channel for this API.

string
required
length ≤ 24

Wallet Number linked to the device. Mandatory for GPR Product as well as multicurrency wallet. Maximum length: 24. Not null.

string
required
length ≤ 24

It denotes the number of a remotely located wallet. Mandatory for GPR Product as well as multicurrency wallet. Maximum length: 24. Not null.

string
required
length ≤ 20
^[0-9]{1,12}(\.[0-9]{1,7})?$

Must have a valid Numeric Value. Not null. Must be greater than 0. Must be positive value with maximum 12 integers and 7 fractions.

string
length between 10 and 24

It is a unique code of a device. Must be a valid card number. Maximum length: 24. Minimum length: 10. Mandatory if cardNumberAlias is not present.

string
length between 10 and 24

Device to which amount is transferred. Not null. Maximum length: 24. Minimum length: 10. Mandatory if destinationCardNumberAlias is not present.

string
length ≤ 24
^[a-zA-Z0-9_]+$

Alias assigned against each device. Only alphanumeric characters and underscore are allowed. Either deviceNumber or cardNumberAlias must be provided. However, if device number is received in request along with alias, then productType, programCode and devicePlanCode is not be validated by the system. System processes the request based on the device number. Maximum Length 24.

string
length ≤ 24
^[a-zA-Z0-9_]+$

Alias assigned against each destination device. Only alphanumeric characters and underscore are allowed. Either destinationDeviceNumber or destinationCardNumberAlias must be provided. However, if the destination device number is received in request along with the destination alias, then destinationProgramCode and destinationDevicePlanCode is not validated by the system. System processes the request based on the device number. Maximum Length: 24.

string
length ≤ 10
^[A-Z0-9_]+$

Type of program assigned to the device. Max length 10. This field is required only when cardNumberAlias is not null.

string
length ≤ 10
^[A-Z0-9_]+$

Type of plan assigned to the device. Max length 10. This field is required only when cardNumberAlias is not null.

string
length ≤ 10
^[A-Z0-9_]+$

Destination Type of program assigned to the device. Maximum length: 10. This field is required only when destinationCardNumberAlias is not null and multiple devices are linked with the same destinationCardNumberAlias.

string
length ≤ 10
^[A-Z0-9_]+$

Destination Type of plan assigned to the device. Max length 10. This field is required only when destinationCardNumberAlias is not null and multiple devices are linked with the same destinationCardNumberAlias.

string
length ≤ 100

User remarks. If it is present, then it should of maximum length 100.

string
required
length between 6 and 6
^[0-9]{6}$

A number assigned by the originator of a transaction to uniquely identify a transaction throughout its life. Fixed length: 6. Not null.

string
length between 12 and 12
^[0-9\s]{12}$

Retrieval Reference Number. It can be used to retrieve the original transaction data. It is a unique authorization reference number (Reference Retrieval Number). Fixed length: 12. May contain spaces. Not null.

string
enum
required

Transaction origin. It identify if the transaction is Domestic or International. In reference to this API, this field always should have value as 'DOM' which means domestic. Not null. Should be 'DOM'.

Allowed:
Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate a universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string

API Consumer can share Source in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json